<?php
add_action( 'customize_register', 'acura_customizer' );

function acura_customizer( $wp_customize ) {
	$acura_theme_options = acura_get_options();	
	/* Genral section */
	$wp_customize->add_panel( 'acura_theme_option', array(
    'title' => __( 'Theme Options','acura' ),
    'priority' => 1,
	) );
    $wp_customize->add_section(
        'acura_gen_sec',
        array(
            'title' => __( 'Theme General Options','acura' ),
            'description' => __('Here you can customize Your theme general Settings','acura'),
			'panel'=>'acura_theme_option',
			'capability'=>'edit_theme_options',
            'priority' => 35,	
        ));
	$wp_customize->add_setting(
	'acura_options[custom_css]',
		array(
		'default'=>esc_attr($acura_theme_options['custom_css']),
		'capability'=>'edit_theme_options',
		'sanitize_callback'=>'acura_sanitize_text',
		));
	$wp_customize->add_control( 'custom_css', array(
		'label'        => __( 'Custom CSS Editor', 'acura' ),
		'type'=>'textarea',
		'section'    => 'acura_gen_sec',
		'settings'   => 'acura_options[custom_css]'
	) );
	
	// For Slider Settings
	$wp_customize->add_section(
        'slider_sec',
        array(
            'title' =>  __( 'Theme Slider Options','acura' ),
			'panel'=>'acura_theme_option',
            'description' => __('Here you can manage slider','acura'),
			'capability'=>'edit_theme_options',
            'priority' => 35,
        ) );
	for($i=1; $i<=3; $i++){
	$wp_customize->add_setting(
		'acura_options[slide_image_'.$i.']',
		array(
			'default'=>'',
			'capability' => 'edit_theme_options',
			'sanitize_callback'=>'acura_sanitize_integer',
		));
	$wp_customize->add_control( 
	new Slider_Image_Control( 
	$wp_customize, 'slide_image_'.$i,
	array(
		'label'    => 'Slider Image '.$i, 
		'section'  => 'slider_sec',
		'settings' => 'acura_options[slide_image_'.$i.']',
	) ) );
	}
	// For Service Section
	$wp_customize->add_section('service_section',array(
	'title'=>__("Home Service Options",'acura'),
	'panel'=>'acura_theme_option',
	'capability'=>'edit_theme_options',
    'priority' => 35
	));
	$wp_customize->add_setting(
		'acura_options[acura_service]',
		array(
			'default'=>esc_attr($acura_theme_options['acura_service']),
			'sanitize_callback'=>'acura_sanitize_checkbox',
			'capability'        => 'edit_theme_options',
		));
	$wp_customize->add_control( 'acura_service', array(
		'label'        => __( 'Show Services on Home Page', 'acura' ),
		'type'=>'checkbox',
		'section'    => 'service_section',
		'settings'   => 'acura_options[acura_service]',
	) );
	$wp_customize->add_setting(
	'acura_options[acura_service_heading]',
		array(
		'default'=>esc_attr($acura_theme_options['acura_service_heading']),
		'sanitize_callback'=>'acura_sanitize_text',
		'capability'=>'edit_theme_options'
		));
	$wp_customize->add_control( 'acura_service_heading', array(
		'label'        =>  __('Home Service Title', 'acura' ),
		'type'=>'text',
		'section'    => 'service_section',
		'settings'   => 'acura_options[acura_service_heading]'
	    ));
	
	$wp_customize->add_setting(
	'acura_options[acura_service_desc]',
		array(
		'default'=>esc_attr($acura_theme_options['acura_service_desc']),
		'sanitize_callback'=>'acura_sanitize_text',
		'capability'=>'edit_theme_options'
		));
	$wp_customize->add_control( 'acura_service_desc', array(
		'label'        =>  __('Home Service Description', 'acura' ),
		'type'=>'text',
		'section'    => 'service_section',
		'settings'   => 'acura_options[acura_service_desc]'
	    ));
		for($i=1; $i<=3; $i++){
	$wp_customize->add_setting(
		'acura_options[ser_img_'.$i.']',
		array(
			'default'=>'',
			'capability' => 'edit_theme_options',
			'sanitize_callback'=>'acura_sanitize_integer',
		));
	$wp_customize->add_control( 
	new Slider_Image_Control( 
	$wp_customize, 'ser_img_'.$i,
	array(
		'label'    => 'Service Image '.$i, 
		'section'  => 'service_section',
		'settings' => 'acura_options[ser_img_'.$i.']',	
	) ) );
	}

	/* Portfolio Options */
	$wp_customize->add_section('acura_port_section',array(
	'title'=>__("Home Portfolio Options",'acura'),
	'panel'=>'acura_theme_option',
	'capability'=>'edit_theme_options',
    'priority' => 35
	));
	$wp_customize->add_setting(
		'acura_options[acura_portfolio]',
		array(
			'default'=>esc_attr($acura_theme_options['acura_portfolio']),
			'sanitize_callback'=>'acura_sanitize_checkbox',
			'capability'        => 'edit_theme_options',
		));
	$wp_customize->add_control( 'acura_portfolio', array(
		'label'        => __( 'Show Portfolio on Home Page', 'acura' ),
		'type'=>'checkbox',
		'section'    => 'acura_port_section',
		'settings'   => 'acura_options[acura_portfolio]',
	) );
	$wp_customize->add_setting(
	'acura_options[acura_portfolio_heading]',
		array(
		'default'=>esc_attr($acura_theme_options['acura_portfolio_heading']),
		'sanitize_callback'=>'acura_sanitize_text',
		'capability'=>'edit_theme_options'
		));
	$wp_customize->add_control( 'acura_portfolio_heading', array(
		'label'        =>  __('Home Portfolio Title', 'acura' ),
		'type'=>'text',
		'section'    => 'acura_port_section',
		'settings'   => 'acura_options[acura_portfolio_heading]'
	    ));
	$wp_customize->add_setting(
	'acura_options[acura_portfolio_desc]',
		array(
		'default'=>esc_attr($acura_theme_options['acura_portfolio_desc']),
		'sanitize_callback'=>'acura_sanitize_text',
		'capability'=>'edit_theme_options'
		));
	$wp_customize->add_control( 'acura_portfolio_desc', array(
		'label'        =>  __('Home Portfolio Description', 'acura' ),
		'type'=>'text',
		'section'    => 'acura_port_section',
		'settings'   => 'acura_options[acura_portfolio_desc]'
	    ));
	$wp_customize->add_setting(
		'acura_options[portfolio_category]',
			array(
			'default'=>'',
			'sanitize_callback'=>'acura_sanitize_text',
			'capability'        => 'edit_theme_options',
		));
	$wp_customize->add_control( 
		new acura_category_Control( 
		$wp_customize, 'portfolio_category',
		array(
		'label'    => 'Portfolio Category', 
		'section'  => 'acura_port_section',
		'settings' => 'acura_options[portfolio_category]',
	) ) );
	
	// For Home Blog Section
	$wp_customize->add_section('acura_blog_section',array(
	'title'=>__("Home Blog Options",'acura'),
	'panel'=>'acura_theme_option',
	'capability'=>'edit_theme_options',
    'priority' => 35
	));
	$wp_customize->add_setting(
		'acura_options[acura_blog]',
		array(
			'default'=>esc_attr($acura_theme_options['acura_blog']),
			'sanitize_callback'=>'acura_sanitize_checkbox',
			'capability'        => 'edit_theme_options',
		)
	);
	$wp_customize->add_control( 'acura_blog', array(
		'label'        => __( 'Show Blog on Home Page', 'acura' ),
		'type'=>'checkbox',
		'section'    => 'acura_blog_section',
		'settings'   => 'acura_options[acura_blog]',
	) );
	$wp_customize->add_setting(
		'acura_options[acura_blog_title]',
		array(
			'default'=>esc_attr($acura_theme_options['acura_blog_title']),
			'capability' => 'edit_theme_options',
			'sanitize_callback'=>'acura_sanitize_text',
		));
	$wp_customize->add_control( 'acura_blog_title', array(
		'label'        => __('Home Blog Heading', 'acura' ),
		'type'=>'text',
		'section'    => 'acura_blog_section',
		'settings'   => 'acura_options[acura_blog_title]'
	) );
	$wp_customize->add_setting(
		'acura_options[acura_blog_desc]',
		array(
			'default'=>esc_attr($acura_theme_options['acura_blog_desc']),
			'capability' => 'edit_theme_options',
			'sanitize_callback'=>'acura_sanitize_text',
		));
	$wp_customize->add_control( 'acura_blog_desc', array(
		'label'        => __('Home Blog Description', 'acura' ),
		'type'=>'text',
		'section'    => 'acura_blog_section',
		'settings'   => 'acura_options[acura_blog_desc]'
	) );
	
	 // Social section
    $wp_customize->add_section('acura_social_section',array(
	'title'=>__(" Social Options",'acura'),
	'panel'=>'acura_theme_option',
	'capability'=>'edit_theme_options',
    'priority' => 35
	));
	$wp_customize->add_setting(
	'acura_options[acura_time]',
		array(
		'default'=>esc_attr($acura_theme_options['acura_time']),
		'sanitize_callback'=>'acura_sanitize_checkbox',
		'capability'=>'edit_theme_options'
		));
	$wp_customize->add_control( 'acura_time', array(
		'label'        => __( 'Enable Site Timing in Header', 'acura' ),
		'type'=>'checkbox',
		'section'    => 'acura_social_section',
		'settings'   => 'acura_options[acura_time]'
	) );
	$wp_customize->add_setting(
	'acura_options[acura_social_media]',
		array(
		'default'=>esc_attr($acura_theme_options['acura_social_media']),
		'sanitize_callback'=>'acura_sanitize_checkbox',
		'capability'=>'edit_theme_options'
		));
	$wp_customize->add_control( 'acura_social_media', array(
		'label'        => __( 'Enable Social Media Icons in Header', 'acura' ),
		'type'=>'checkbox',
		'section'    => 'acura_social_section',
		'settings'   => 'acura_options[acura_social_media]'
	) );
	$wp_customize->add_setting(
	'acura_options[acura_footer_social_media]',
		array(
		'default'=>esc_attr($acura_theme_options['acura_footer_social_media']),
		'sanitize_callback'=>'acura_sanitize_checkbox',
		'capability'=>'edit_theme_options'
		));
	$wp_customize->add_control( 'acura_footer_social_media', array(
		'label'        => __( 'Enable Social Media Icons in Footer', 'acura' ),
		'type'=>'checkbox',
		'section'    => 'acura_social_section',
		'settings'   => 'acura_options[acura_footer_social_media]'
	) );
	
	$wp_customize->add_setting(
	'acura_options[facbook_link]',
		array(
		'default'=>esc_attr($acura_theme_options['facbook_link']),
		'sanitize_callback'=>'esc_url_raw',
		'capability'=>'edit_theme_options'
		));
	$wp_customize->add_control( 'facbook_link', array(
		'label'        => __( 'Facebook', 'acura' ),
		'type'=>'url',
		'section'    => 'acura_social_section',
		'settings'   => 'acura_options[facbook_link]'
	) );
	$wp_customize->add_setting(
	'acura_options[twitter_link]',
		array(
		'default'=>esc_attr($acura_theme_options['twitter_link']),
		'sanitize_callback'=>'esc_url_raw',
		'capability'=>'edit_theme_options'
		));
		$wp_customize->add_control( 'twitter_link', array(
		'label'        => __( 'Twitter', 'acura' ),
		'type'=>'url',
		'section'    => 'acura_social_section',
		'settings'   => 'acura_options[twitter_link]'
	) );
	
	$wp_customize->add_setting(
	'acura_options[youtube_link]',
		array(
		'default'=>esc_attr($acura_theme_options['youtube_link']),
		'sanitize_callback'=>'esc_url_raw',
		'capability'=>'edit_theme_options'
		)
	);
		$wp_customize->add_control( 'youtube_link', array(
		'label'        => __( 'Youtube', 'acura' ),
		'type'=>'url',
		'section'    => 'acura_social_section',
		'settings'   => 'acura_options[youtube_link]'
	) );
	$wp_customize->add_setting(
	'acura_options[linkdin_link]',
		array(
		'default'=>esc_attr($acura_theme_options['linkdin_link']),
		'sanitize_callback'=>'esc_url_raw',
		'capability'=>'edit_theme_options'
		) );
	$wp_customize->add_control( 'linkdin_link', array(
		'label'        => __( 'Linkedin', 'acura' ),
		'type'=>'url',
		'section'    => 'acura_social_section',
		'settings'   => 'acura_options[linkdin_link]'
	) );
	$wp_customize->add_setting(
	'acura_options[goglpls_link]',
		array(
		'default'=>esc_attr($acura_theme_options['goglpls_link']),
		'sanitize_callback'=>'esc_url_raw',
		'capability'=>'edit_theme_options'
		) );
	$wp_customize->add_control( 'goglpls_link', array(
		'label'        => __( 'Google Plus', 'acura' ),
		'type'=>'url',
		'section'    => 'acura_social_section',
		'settings'   => 'acura_options[goglpls_link]'
	) );
	
	// Footer Section
	$wp_customize->add_section('footer_section',array(
	'title'=>__("Footer Options",'acura'),
	'panel'=>'acura_theme_option',
	'capability'=>'edit_theme_options',
    'priority' => 35
	));	
	$wp_customize->add_setting(
	'acura_options[acura_footer_text]',
		array(
		'default'=>esc_attr($acura_theme_options['acura_footer_text']),
		'sanitize_callback'=>'acura_sanitize_text',
		'capability'=>'edit_theme_options'
		)
	);
	$wp_customize->add_control( 'acura_footer_text', array(
		'label'        => __( 'Developed By Text', 'acura' ),
		'type'=>'text',
		'section'    => 'footer_section',
		'settings'   => 'acura_options[acura_footer_text]'
	) );
	$wp_customize->add_setting(
	'acura_options[acura_footer_link_text]',
		array(
		'default'=>esc_attr($acura_theme_options['acura_footer_link_text']),
		'sanitize_callback'=>'acura_sanitize_text',
		'capability'=>'edit_theme_options'
		));
	$wp_customize->add_control( 'acura_footer_link_text', array(
		'label'        => __( 'Footer Customization Text', 'acura' ),
		'type'=>'text',
		'section'    => 'footer_section',
		'settings'   => 'acura_options[acura_footer_link_text]'
	) );
	$wp_customize->add_setting(
	'acura_options[acura_footer_link]',
		array(
		'default'=>esc_attr($acura_theme_options['acura_footer_link']),
		'capability'=>'edit_theme_options',
		'sanitize_callback'=>'esc_url_raw'
		));
	$wp_customize->add_control( 'acura_footer_link', array(
		'label'        => __( 'Developed By Link', 'acura' ),
		'type'=>'url',
		'section'    => 'footer_section',
		'settings'   => 'acura_options[acura_footer_link]'
	) );   
}

function acura_sanitize_text( $input ) {
    return wp_kses_post( force_balance_tags( $input ) );
}
function acura_sanitize_checkbox( $input ) {
   if ( $input == 1 ) {
        return 'on' ;
    } else {
        return 'off';
    }
}
function acura_sanitize_integer( $input ) {
    return (int)($input);
}

/* class for thumbnail images */
if ( class_exists( 'WP_Customize_Control' ) && ! class_exists( 'Slider_Image_Control' ) ) :
class Slider_Image_Control extends WP_Customize_Control 
{  
 public function render_content(){ ?>
	<span class="customize-control-title"><?php echo esc_html( $this->label ); ?></span>
	<?php $args = array( 'post_type' => 'post', 'post_status'=>'publish','posts_per_page'=> -1); 
		$slide_id = new WP_Query( $args ); ?>
		<select <?php $this->link(); ?> >
		<option value= "" <?php if($this->value()=='') echo 'selected="selected"';?>><?php _e('Default Image','acura'); ?></option>
		<?php if($slide_id->have_posts()):
			while($slide_id->have_posts()):
				$slide_id->the_post();
				if(has_post_thumbnail()){ ?>
				 <option value= "<?php echo get_the_id(); ?>"<?php if($this->value()== get_the_id() ) echo 'selected="selected"';?>><?php the_title(); ?></option>
				<?php }
			endwhile; 
	     endif; ?>
		 </select>
		 <?php
}  /* public function ends */
}/*   class ends */
endif;

/* class for categories */
if ( class_exists( 'WP_Customize_Control' ) && ! class_exists( 'acura_category_Control' ) ) :
class acura_category_Control extends WP_Customize_Control 
{  
 public function render_content(){ ?>
	<span class="customize-control-title"><?php echo esc_html( $this->label ); ?></span>
	<?php  
		$acura_category = get_categories(); ?>
		<select <?php $this->link(); ?> >
		<?php foreach($acura_category as $category){ ?>
		<option value= "<?php echo $category->cat_name; ?>" <?php if($this->value()== $category->cat_name ) echo 'selected="selected"';?>><?php echo $category->cat_name; ?></option>
		<?php } ?>
		 </select>
		 <?php
}  /* public function ends */
}/*   class ends */
endif; 
?>