<?php 
require( get_template_directory(). '/core/menu/default_menu_walker.php' );
require( get_template_directory(). '/core/menu/weblizar_nav_walker.php' );
require( get_template_directory() . '/comment-function.php' );
require( get_template_directory() . '/customizer.php' );
/*After Theme Setup*/
add_action( 'after_setup_theme', 'acura_head_setup' );
function acura_head_setup(){
	if ( ! isset( $content_width ) ) $content_width = 900;
	
	load_theme_textdomain( 'acura', get_template_directory() . '/lang' ); // for theme text-domain
	add_theme_support( 'automatic-feed-links' );
	add_theme_support('post-thumbnails');
	add_theme_support( "title-tag" );
	add_theme_support( 'custom-logo', array(
							'height'      => 80,
							'width'       => 100,
							'flex-height' => false,
							'flex-width'  => false,
						) );
	// for register menu
	register_nav_menu( 'acura-primary-menu', __( 'Primary Menu', 'acura' ) );
	}

		$args = array(
	'flex-width'    => true,
	'width'         => 2000,
	'flex-height'    => true,
	'default-image' => '',
	'uploads'       => true,
);
add_theme_support( 'custom-header', $args );

$defaults = array(
	'default-color'          => '000000',
	'default-image'          => '',
	'default-repeat'         => '',
	'default-position-x'     => '',
	'default-attachment'     => '',
	'wp-head-callback'       => '_custom_background_cb',
	'admin-head-callback'    => '',
	'admin-preview-callback' => ''
);
add_theme_support( 'custom-background', $defaults );

add_editor_style('css/editor-style.css');

/*Enqueue Styles And JS*/
function acura_theme_style(){
	//style
	wp_enqueue_style('bootstrap',get_template_directory_uri() . '/bootstrap/css/bootstrap.min.css');
	wp_enqueue_style('font-awesome',get_template_directory_uri() . '/css/font-awesome.min.css');
	wp_enqueue_style('swiper-min-css',get_template_directory_uri() . '/css/swiper.min.css');
	wp_enqueue_style('animate-min-css',get_template_directory_uri() . '/css/animate.min.css');
	wp_enqueue_style('photobox',get_template_directory_uri() . '/css/photobox.css');
	wp_enqueue_style('acura-mediaResponsive',get_template_directory_uri() . '/css/media-screen.css');
	wp_enqueue_style('main-css',get_template_directory_uri() . '/style.css');
	//JS
	
	wp_enqueue_script('bootstrap_js',get_template_directory_uri().'/bootstrap/js/bootstrap.min.js',array('jquery'));
	wp_enqueue_script('swiper-min-js',get_template_directory_uri().'/js/swiper.min.js');
	wp_enqueue_script('jquery-photobox',get_template_directory_uri().'/js/jquery.photobox.js');
	wp_enqueue_script('isotop-js',get_template_directory_uri().'/js/isotope.pkgd.js');
	wp_enqueue_script('acura-themeJS',get_template_directory_uri().'/js/custom-script.js');
	
	if ( is_singular() ) wp_enqueue_script( "comment-reply" );
}
add_action( 'wp_enqueue_scripts', 'acura_theme_style' );

function acura_default_settings()
{
	$acura_theme_options=array(
	
			// For General Setting
			'custom_css'=> '',
			'acura_time'=>'on',
			
			// For Slider Setting
			'slide_image_1'=> '',
			'slide_image_2'=> '',
			'slide_image_3'=> '',
			
			// For Service Setting
			'acura_service'=> 'on',
			'acura_service_heading'=> __('Our Services','acura'),
			'acura_service_desc'=> __('Lorem Ispum','acura'),
			'ser_img_1'=> '',
			'ser_img_2'=> '',
			'ser_img_3'=> '',
			
			// For Portfolio Setting
			'acura_portfolio'=>'on',
			'portfolio_category'=>'',
			'acura_portfolio_heading'=>__('Our Portfolio','acura'),
			'acura_portfolio_desc'=>__('Lorem Ispum','acura'),
			
			// For Blog Setting
			'acura_blog'=> 'on',
			'acura_blog_title'=> __('Our Blogs','acura'),
			'acura_blog_desc'=> __('Lorem Ispum','acura'),
				
			//For Social Media Setting
			'acura_social_media'=>'on',
			'acura_footer_social_media'=>'on',
			'facbook_link'=>'#',
			'twitter_link'=>'#',
			'youtube_link'=>'#',
			'linkdin_link'=>'#',
			'goglpls_link'=>'#',
			
			// For Footer Setting					
			'acura_footer_link'=>'#',
			'acura_footer_link_text'=> __('weblizar','acura'),
			'acura_footer_text'=> __('&copy; 2016 All Rights Reserved','acura'),
			);
			
return apply_filters( 'acura_options', $acura_theme_options );	
}

// Options API	
function acura_get_options() 
{
    return wp_parse_args( 
        get_theme_mod( 'acura_options') , acura_default_settings() 
    );    
}

// For Post thumbnail
if ( function_exists( 'add_image_size' ) ) add_theme_support( 'post-thumbnails' );
if ( function_exists( 'add_image_size' ) ) { 
	add_image_size ('acura-slider-thumb', 1920, 800,true);
	add_image_size ('acura-post-thumb', 400, 300,true);
	add_image_size ('acura-service-thumb', 200, 150,true);
	add_image_size ('acura-portfolio_thumb', 440, 280,true);
}

//For Excerpt content
function acura_excerpt_more( $more ) {
    return '';
}
add_filter('excerpt_more', 'acura_excerpt_more');
	
	/****--- Navigation ---***/
	function acura_navigation() { ?>
	<div class="row navi">
		<ul class="pager">
			<?php the_posts_pagination( array(
				'mid_size' => 2,
				'prev_text' => __( 'Previous', 'acura' ),
				'next_text' => __( 'Next', 'acura' ),
			) ); ?>
		</ul>
	</div>
	<?php }
	
	function acura_post_link(){ 
	global $post; 
	// Don't print empty markup if there's nowhere to navigate.
	$previous = ( is_attachment() ) ? get_post( $post->post_parent ) : get_adjacent_post( false, '', true );
	$next     = get_adjacent_post( false, '', false );

	if ( ! $next && ! $previous )
		return;
	?>
		<div class="row navi">
		<ul class="pager">
			<li class="previous"><?php next_post_link( '%link', _x( '%title ', 'Next post link', 'acura' ) ); ?></li>
			<li class="next"><?php previous_post_link( '%link', _x( ' %title', 'Previous post link', 'acura' ) ); ?></li>
		</ul>
	</div>
	<?php }
	
	
/* Breadcrumbs  */
	function acura_breadcrumbs() {
    $delimiter = '';
    $home = __('Home', 'acura' ); // text for the 'Home' link
    $before = '<li>'; // tag before the current crumb
    $after = '</li>'; // tag after the current crumb
    echo '<ul class="breadcrumb">';
    global $post;
    $homeLink = esc_url(home_url());
    echo '<li><a href="' . $homeLink . '">' . $home . '</a></li>' . $delimiter . ' ';
    if (is_category()) {
        global $wp_query;
        $cat_obj = $wp_query->get_queried_object();
        $thisCat = $cat_obj->term_id;
        $thisCat = get_category($thisCat);
        $parentCat = get_category($thisCat->parent);
        if ($thisCat->parent != 0)
            echo(get_category_parents($parentCat, TRUE, ' ' . $delimiter . ' '));
        echo $before . _e("Archive by category","acura"). single_cat_title('', false). $after;
    } elseif (is_day()) {
        echo '<li><a href="' . get_year_link(get_the_time('Y')) . '">' . get_the_time('Y') . '</a></li> ' . $delimiter . ' ';
        echo '<li><a href="' . get_month_link(get_the_time('Y'), get_the_time('m')) . '">' . get_the_time('F') . '</a></li> ' . $delimiter . ' ';
        echo $before . get_the_time('d') . $after;
    } elseif (is_month()) {
        echo '<li><a href="' . get_year_link(get_the_time('Y')) . '">' . get_the_time('Y') . '</a></li> ' . $delimiter . ' ';
        echo $before . get_the_time('F') . $after;
    } elseif (is_year()) {
        echo $before . get_the_time('Y') . $after;
    } elseif (is_single() && !is_attachment()) {
        if (get_post_type() != 'post') {
            $post_type = get_post_type_object(get_post_type());
            $slug = $post_type->rewrite;
            echo '<li><a href="' . $homeLink . '/' . $slug['slug'] . '/">' . $post_type->labels->singular_name . '</a></li> ' . $delimiter . ' ';
            echo $before . get_the_title() . $after;
        } else {
            $cat = get_the_category();
            $cat = $cat[0];
            //echo get_category_parents($cat, TRUE, ' ' . $delimiter . ' ');
            echo $before . get_the_title() . $after;
        }
		
    } elseif (!is_single() && !is_page() && get_post_type() != 'post') {
        $post_type = get_post_type_object(get_post_type());
        echo $before . $post_type->labels->singular_name . $after;
    } elseif (is_attachment()) {
        $parent = get_post($post->post_parent);
        $cat = get_the_category($parent->ID);
        $cat = $cat[0];
        echo get_category_parents($cat, TRUE, ' ' . $delimiter . ' ');
        echo '<li><a href="' . get_permalink($parent) . '">' . $parent->post_title . '</a></li> ' . $delimiter . ' ';
        echo $before . get_the_title() . $after;
    } elseif (is_page() && !$post->post_parent) {
        echo $before . get_the_title() . $after;
    } elseif (is_page() && $post->post_parent) {
        $parent_id = $post->post_parent;
        $breadcrumbs = array();
        while ($parent_id) {
            $page = get_page($parent_id);
            $breadcrumbs[] = '<li><a href="' . get_permalink($page->ID) . '">' . get_the_title($page->ID) . '</a></li>';
            $parent_id = $page->post_parent;
        }
        $breadcrumbs = array_reverse($breadcrumbs);
        foreach ($breadcrumbs as $crumb)
            echo $crumb . ' ' . $delimiter . ' ';
        echo $before . get_the_title() . $after;
    } elseif (is_search()) {
        echo $before . __("Search results for","acura")  . get_search_query() .$after;

    } elseif (is_tag()) {        
		echo $before . __('Tag','acura') . single_tag_title('', false) . $after;
    } elseif (is_author()) {
        global $author;
        $userdata = get_userdata($author);
        echo $before . __("Articles posted by","acura") . $userdata->display_name . $after;
    } elseif (is_404()) {
        echo $before . __("Error 404","acura") . $after;
    }
    
    echo '</ul>';
}
/* acura widget area */
	add_action( 'widgets_init', 'acura_widgets_init');
	function acura_widgets_init() {
	/*sidebar*/
	register_sidebar( array(
			'name' => __( 'Sidebar', 'acura' ),
			'id' => 'acura-sidebar',
			'description' => __( 'The Sidebar Widget Area', 'acura' ),
			'before_widget' => '<div class="row w_sidebar">',
			'after_widget' => '</div>',
			'before_title' => '<h2>',
			'after_title' => '</h2>'
		) );

	register_sidebar( array(
			'name' => __( 'Footer Widget Area', 'acura' ),
			'id' => 'acura-footer',
			'description' => __( 'Footer Widget Area', 'acura' ),
			'before_widget' => '<div class="col-md-3 col-sm-6 footer-widget">',
			'after_widget' => '</div>',
			'before_title' => '<div class="col-md-12 widget-heading"><h1>',
			'after_title' => '</h1></div>',
		) );             
	}

// post/page navigation
function acura_link_pages(){
	$defaults = array(
		'before'           => '<p class="link-content">' . __( 'Pages:','acura' ),
		'after'            => '</p>',
		'link_before'      => '',
		'link_after'       => '',
		'next_or_number'   => 'number',
		'separator'        => ' ',
		'nextpagelink'     => __( 'Next page','acura'),
		'previouspagelink' => __( 'Previous page','acura'),
		'pagelink'         => '%',
		'echo'             => 1
	);
	wp_link_pages( $defaults );
}
?>